<template>
    <h1>Информация</h1>
    <v-alert v-if="error" :text="error" type="error" class="mb-8"></v-alert>
    <v-skeleton-loader v-if="isLoading" type="card"></v-skeleton-loader>
    <div v-else>
        <p><b>Название:</b> {{ info.title }}</p>
        <p v-if="info.start_date"><b>Дата начала:</b> {{ info.start_date }}</p>
        <p v-if="info.end_date"><b>Дата окончания:</b> {{ info.end_date }}</p>
    </div>

    <v-btn class="mt-2" color="blue" variant="elevated" to="/profile">Вернуться к списку</v-btn>
</template>

<script>
import {getTimeslot} from '@/services/api';

export default {
    props: {
        timeslotId: String
    },
    data() {
        return {
            isLoading: false,
            error: null,
            info: null
        };
    },
    methods: {
        async load() {
            this.isLoading = true;
            try {
                this.info = await getTimeslot(this.timeslotId);
            }
            catch (e) {
                console.log(e);
                this.error = 'При загрузке таймслота произошла ошибка, попробуйте еще раз';
            }
            this.isLoading = false;
        }
    },
    created() {
        this.load();
    }
}
</script>